Bug 1270469 - Register to Satellite successfully using system name within invalid characters.
Register to Satellite successfully using system name within invalid characters.
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Eric Helms
Katello QA List
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-10 04:47 EDT by qianzhan
Modified: 2017-09-19 13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-05 09:16:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhsm.log (17.12 KB, text/plain)
2016-03-04 01:18 EST, qianzhan
no flags Details
candlepin.log (13.92 MB, text/plain)
2016-03-04 01:21 EST, qianzhan
no flags Details

  None (edit)
Description qianzhan 2015-10-10 04:47:16 EDT
Description of problem:
Register to Satellite successfully using system name with invalid characters

Version-Release number of selected component (if applicable):
Satellite-6.1.0

How reproducible:
always

Steps to Reproduce:
1. Register RHEL-7.2-20151008.0 to Satellite-6.1.0 by specifying the system name within special characters:

# subscription-manager register --username=admin --password='admin' --name=test+?test

Registering to: satellite-7d6b4908-0c18-44ed-a4d-90672321ab54.novalocal:443/rhsm

The system has been registered with ID: ca814f89-2278-416a-92b5-0a139d959bb9 


Actual results:
As step 1.

Expected results:
Registration should not succeed with notification:
#subscription-manager register --username=admin --password=admin --name=test+?test
System name cannot contain most special characters.

Additional info:
Comment 2 Barnaby Court 2016-03-01 14:43:38 EST
Moving to sub-man as this is not a satellite specific issue and was not opened by a customer.
Comment 4 Barnaby Court 2016-03-03 16:30:11 EST
We were unable to duplicate this issue.

Shell's often process special characters. Please retry with the variable quoted. --name='test+?'. 

If you are able to duplicate this issue with the system name quoted please attach /var/log/rhsm/rhsm.log and the candlepin log files.
Comment 6 qianzhan 2016-03-04 01:18 EST
Created attachment 1133041 [details]
rhsm.log
Comment 7 qianzhan 2016-03-04 01:21 EST
Created attachment 1133042 [details]
candlepin.log
Comment 8 Barnaby Court 2016-03-07 16:21:00 EST
Satellite has overridden the regex that matches the system name and configured it to be: 'candlepin.consumer_system_name_pattern=.+' in the /etc/candlepin/candlepin.conf. That will allow any non-empty string as the system name.
Comment 9 Bryan Kearney 2016-07-26 15:11:02 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 11 Bryan Kearney 2017-01-05 09:16:36 EST
This is an older bug which I do not envision being fixed in the near term. I am closing this out. If you belive doing so is an issue, please feel free to re-open and provide additional business information. Thank you.

Note You need to log in before you can comment on or make changes to this bug.